C  global.h -- global variables accessible by (most) anything
C
C  time  - time
C  dt    - timestep
C  gam   - equation of state gamma
C  gamm  - gam - 1
C  courant - courant parameter
C  nmin   - first real zone in 1D arrays
C  nmax   - last real zone in 1D arrays
C  ncycle - cycle number
C  ainflo - values of variables at inflow boundary
C
      integer ncycle, ndim, nfile
     &       ,ngeomx, nleftx, nrightx 
     &       ,ngeomy, nlefty, nrighty 
     &       ,ngeomz, nleftz, nrightz
     &       ,istep, jstep, ibot
     &       ,issfrbc,ifrc,irssfmax
C
      real time, dt, dtmax
     &    ,smallp, smallr, small
     &    ,gam, gamm, courant, avgmass, boltzman, GM
     &    ,uinflo, dinflo, vinflo, winflo, pinflo, einflo
     &    ,ushock, ztop0, abbott, cak_k, cak, tempw, vtherm
     &    ,xkapm, rstar, xlamfac, vthba
     &    ,xlsbs, xmsbs, rsbs, xkovbc, xkmbko, epsabs
     &    ,amp, phase, period, xlamp, xlphase, xlper
C
      real bdump(55)
C
      common /global/ time, dt, gam, gamm, courant
     &            ,avgmass, boltzman, GM, small, xlamfac
     &            ,uinflo, dinflo, vinflo, pinflo, einflo
     &            ,winflo, ushock, smallp, smallr, ztop0
     &            ,xlsbs,xmsbs,rsbs,xkovbc,xkmbko
     &            ,abbott, cak, cak_k, tempw, vtherm
     &            ,xkapm, rstar, vthba, xmdcak,epsabs
     &            ,dtmax, amp, phase, period, xlamp, xlphase,  xlper
     &            ,ncycle, ngeomx, ngeomy, ngeomz, nfile
     &            ,nleftx, nlefty, nrightx, nrighty, ndim
     &            ,nleftz, nrightz, istep, jstep, ibot
     &            ,issfrbc,ifrc,irssfmax
C
      equivalence (bdump(1),time)

